## Package org.eclipse.m2m.atl.common

Interface Summary
ATLLaunchConstants: This interface contains the common constants used for launch ATL transformations in the Eclipse UI.
IAtlLexems: This interface contains all the words of the ATL language, such as keywords.

Class Summary
ATLLogFormatter: Log formatter that is less verbose than SimpleFormatter.
ATLLogger: The common ATL logger.
AtlNbCharFile: This class is used by a stackframe to compute char position in a file With the file name and project name, this structure build a list for each line the position of its first char and the position of the tabs.
ATLResourceProvider: Provides common .ecore files: ATL.ecore: ATL metamodel.
ConsoleStreamHandler: Flushes after every log and doesn't close output stream.

Exception Summary
ATLExecutionException: Exceptions thrown by an ATL execution.

Copyright 2007 IBM Corporation and others. All Rights Reserved.